package com.zxbw.modulemain.contract

import com.zxhl.cms.net.model.qy.ConvertLinkEntity
import com.zxhl.cms.net.model.qy.TbGoodsItemEntity


/**
 *
 */
class TbGoodsDetailContract {

    interface View {

        fun setConvertLink(result: ConvertLinkEntity?)

        fun setGoodsDetail()

        fun setTjGoodsList(isRefresh: Boolean, result: List<TbGoodsItemEntity>?)
    }

    interface Presenter {

        fun getConvertLink(link: String)

        fun getGoodsDetail(productId: String)

        fun getTjGoodsList()
    }

}